> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model trainings



## OpenAPI

````yaml get /api/modeltraining/v1.0/customer/{customerId}/model/{modelId}/training_v2_1
openapi: 3.0.1
info:
  title: Model Training Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/modeltraining/v1.0/customer/{customerId}/model/{modelId}/training_v2_1:
    get:
      tags:
        - TrainingV21
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: modelId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: createdLess
          in: query
          schema:
            type: string
            format: date-time
        - name: createdGreater
          in: query
          schema:
            type: string
            format: date-time
        - name: take
          in: query
          schema:
            type: integer
            format: int32
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ModelTrainingJobV21MultipleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ModelTrainingJobV21MultipleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ModelTrainingJobV21MultipleResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    ModelTrainingJobV21MultipleResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelTrainingJobV21'
          nullable: true
        totalItemsCount:
          type: integer
          format: int32
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    ModelTrainingJobV21:
      type: object
      properties:
        id:
          type: string
          format: uuid
        modelConfigurationId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/ModelTrainingStatus'
        errorCode:
          $ref: '#/components/schemas/TrainingError'
        auc:
          type: number
          format: double
          nullable: true
        algorithm:
          type: string
          nullable: true
        featuresCount:
          type: integer
          format: int32
          nullable: true
        machineType:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        finished:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ModelTrainingStatus:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 20
        - 100
      type: integer
      format: int32
    TrainingError:
      enum:
        - 100
        - 101
        - 102
        - 103
        - 104
        - 105
        - 106
        - 107
        - 200
        - 201
        - 202
        - 300
        - 301
        - 302
        - 1000
        - 1001
        - 1002
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````